Bug 125728 - Feature request - adding Julia language for scripting in Calc
Summary: Feature request - adding Julia language for scripting in Calc
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-06 03:40 UTC by Anton Kochkov
Modified: 2019-11-16 03:42 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Anton Kochkov 2019-06-06 03:40:49 UTC
Julia is a multiple-paradigm (fully imperative, partially functional, and partially object-oriented) programming language designed for scientific and technical (read numerical) computing.

https://julialang.org

Performance gains range in the range from 10x-30x over Python (R is even slower, so we don’t include it. R was not built for speed). Industry reports in 2016 indicated that Julia was a language with high potential and possibly the chance of becoming the best option for data science if it received advocacy and adoption by the community.

Well, two years on, the 1.0 version of Julia was out in August 2018 (version 1.0), and it has the advocacy of the programming community and the adoption by a number of companies (see https://www.juliacomputing.com) as the preferred language for many domains — including data science. And 1.2 version is almost ready as well: https://github.com/JuliaLang/julia/milestone/30

Advantages of Julia (compared to Python)

- Performance
- GPU Support
- Smooth Learning Curve, and Extensive Built-in Functionality
- Multiple dispatch or the multimethod functionality
- Distributed and Parallel Computing Support
- Interoperation with other programming languages (C, Java, Python, etc)

Moreover, Julia Computing offers the JuliaInXL package - Julia integration with Microsoft Excel:

- https://juliacomputing.com/blog/2017/10/24/julia-in-xl-intro.html
- https://juliacomputing.com/products/juliafin.html#excel
- https://www.youtube.com/watch?v=59Kr37uqtm4


See more at:
- https://medium.com/@thomascherickal/will-julia-replace-python-and-r-as-a-data-science-tool-897efcf18b73
- https://www.analyticsindiamag.com/can-julia-be-the-new-python-heres-what-you-need-to-know/
Comment 1 Xisco Faulí 2019-11-15 12:01:35 UTC
This could be implemented as an extension but I don't think it makes sense to implement it in the code base.
Closing as RESOLVED WONTFIX